<?php
    $lite = isset($_GET["lite"]);
    use PFBC\Form;
    use PFBC\Element;
    use PFBC\View;
    use PFBC\Validation;
    use documongo\MongoObject\Document;
    use documongo\MongoObject\DocumentType;
    require_once("lib/funits.php");
    $unit = new Unit();
    require_once("lib/frole.php");
    $role = new Role();
    
$role->isPageEnable($user->uuid);
?>
<!doctype html>
<html lang="ru">
<head>
<meta charset="utf-8" />
<title>Оцените административные подразделения</title>


<script src="/js/jquery-1.9.1.js"></script>
<script src="/js/jquery-ui.js"></script>
<script src="/js/jquery.form.js"></script>
<script src="/js/bootstrap.min.js"></script>
<script src="/js/auth.js"></script>
<link rel="stylesheet" href="/css/jquery-ui.css" />
<link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
<link rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.form.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/admin.css" />
<link rel="stylesheet" href="/css/navigation__horizontal.css" />
<link rel="stylesheet" href="/css/units.css" />

<script type="text/javascript">
function setcookie(a,b,c) {
  if(c){var d = new Date();d.setTime(d.getTime()+c);}if(a && b) document.cookie = a+'='+b+';path=/'+(c ? '; expires='+d.toUTCString() : '');else return false;}
 function getcookie(a) {var b = new RegExp(a+'=([^;]){1,}');var c = b.exec(document.cookie);if(c) c = c[0].split('=');else return false;return c[1] ? c[1] : false;}

$.fn.tree_menu = function() {
        var nav = this;
        var uls = nav.find("ul");
    var coci_MENU= getcookie( "MENU" );
    if (coci_MENU) {
    setcookie( "MENU",coci_MENU ,30*3600*24*1000 );
        var showedElems = ( coci_MENU || "" ).split(",");
        for( var i = 0; i < showedElems.length; i++ ) {
            $( uls[ showedElems[ i ] ] ).prev('a').addClass('active') 
            $( uls[ showedElems[ i ] ] ).show();
        }}

        var Url = document.URL.split('#')[0];
        $('> li ul',nav).find('a:not([href^="#"])').each(function() {
            var S = $(this).attr('href').split('#')[0];
            if(S&&Url.indexOf(S)!=-1) $(this).parent().addClass('a-active');
        });

        nav.find("a").click(function() {
            var Lnk=$(this).attr("href");
            if(Lnk==''||Lnk.indexOf('#')==0) setcookie( "MENU",1 ,-1);
            var self = $(this).next();
            if ( self.length == 0 ) return;


            var showedElems = [];
            uls.each(function( index ){

                    if ( this === self[0] ) {
                        if ( self.css('display') == "none" ) {
                           showedElems.push(index);$(this).prev('a').addClass('active');
                        }  else $(this).prev('a').removeClass('active');
                        $( this ).slideToggle(400);return true;
                    } 
                    if ( jQuery.inArray( this, self.parents( "ul" ) ) == -1 ) {
                        $(this).prev('a').removeClass('active');$(this).slideUp(400);return true;
                    }
                    showedElems.push(index);
           });
                setcookie( "MENU", showedElems.join(",") ,30*3600*24*1000 );

                return false;

        });
}
</script>

<script>
    var language = "<?=$language?>";
    var pageType = "<?=$pageType?>";
</script>
</head>

<body>
<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
      "Административные подразделения глазами кафедры" <span style="color:red">*</span>
    </h1>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>
<div class="header__helper"></div>
</header>

<div class = "left">
	<?php
echo $role->userMenu($user->uuid);
	?>
</div>

<!-- CURRENT PAGE -->
<div class="all">
<pre>
<?php

$myuid = array ('uid' => $this->user->uuid);

var_dump($role->getroles($user->uuid));

if(!isset($_GET['chairid']) or strlen($_GET['chairid'])!=36){
 echo "<h4>Пожалуйста, выберите кафедру</h4>";
}else{

if($isratingunit==1){
	if(isset($_POST['save'])){
		$unit->saverating($_POST,$_GET['chairid']); 
	}  
	if(isset($_POST['confirm'])){
		$unit->saverating($_POST,$_GET['chairid']);
		if($unit->checkForm($_GET['chairid'])){
			$unit->confirmMessage($_GET['chairid']);
		}
	}  
}
$oldvalues = $unit->getrating($_GET['chairid']);
$cursor = $unit->collectionUnits->find();
$i=0;

foreach($cursor as $doc){
	$allList[$i]= array($doc["id"],$doc["pid"],$doc["name"],$doc["get"]);
	$i++;
}


?>
<form method="post" action="<? echo $_SERVER['REQUEST_URI']; ?>">
<input type="submit" value="Сохранить введенные данные" name="save"> <br><br>
<div class="help">
  Отметьте, насколько часто вы взаимодействуете с каждым отделом:<br>
1. Никогда не взаимодействую<br>
2. Крайне редко<br>
3. По мере необходимости<br>
4. Еженедельные контакты<br>
5. Ежедневные контакты<br>
<div class="hv">1 &nbsp; 2 &nbsp; 3 &nbsp; 4 &nbsp; 5 &nbsp; </div></div>
<div>

<? echo $unit->buildTree($_GET['chairid'], $oldvalues, 'yes', $allList);?>      
                                
<input type="submit" value="Сохранить введенные данные" name="save"> <br> <br>
<p>* Опрос конфиденциальный, вся информация будет представлена в обобщенном виде. </p>
<br>
<input class="confirm" type="submit" value="Подтвердить завершение ввода данных" name="confirm"  style="float:left;"> 
<div style="float:left;height:60px; padding:8px;"><b>(нажать после выставления оценок каждому административному подразделению и <br>сохранения введенных данных)</b></div><br><br><br>
</div>
</div>
<input type="hidden" name="sss" value="<?=$unit->sss?>">
</form>

<?php
}
?>
</div>
<script>
$('#nav_menu_content').tree_menu();

function PopUpHide(par){
$("#window-popup-"+par).hide();
document.getElementById(par).style.background=none;
}

function PopUpShow(par){
$("#window-popup-"+par).show();
}

function changeclass(id){
document.getElementById(id).className = 'noimage';
}
</script>
</body>
</html>
